<?php

/*
This file provides a function in order to be able to download a file
*/

function writeRequestDownloadFile($filenameToDownload)
{
  switch(strrchr(basename($filenameToDownload), ".")) {

  case ".gz": $type = "application/x-gzip"; break;
  case ".tgz": $type = "application/x-gzip"; break;
  case ".zip": $type = "application/zip"; break;
  case ".pdf": $type = "application/pdf"; break;
  case ".png": $type = "image/png"; break;
  case ".gif": $type = "image/gif"; break;
  case ".jpg": $type = "image/jpeg"; break;
  case ".txt": $type = "text/plain"; break;
  case ".tex": $type = "text/plain"; break;
  case ".htm": $type = "text/html"; break;
  case ".html": $type = "text/html"; break;
  default: $type = "application/octet-stream"; break;

  }

  header("Content-disposition: attachment; filename=$filenameToDownload");
  header("Content-Type: application/force-download");
  header("Content-Transfer-Encoding: $type\n"); // Surtout ne pas enlever le \n
  header("Content-Length: ".filesize($filenameToDownload));
  header("Pragma: no-cache");
  header("Cache-Control: must-revalidate, post-check=0, pre-check=0, public");
  header("Expires: 0");
  readfile($filenameToDownload);
}
?>