/*
prepare the TD part of the interface
- the element of the TD (exercices that are inside) are sortable
- the surface is droppable in order to be able to add exercices
*/
function myTDSetup()
{
  $(function() {
		$( "#tdsortable" ).sortable();
		$( "#tdsortable" ).disableSelection();
	});
  
  
  $("#tdsortable").droppable({
                        accept: ".ExoPalette",
                        drop: function(event,ui){
                                        $(this).append("<li class='ExoInTD' src='" 
                										+ ui.draggable.attr("src") 
														+ "'>" 
														+ ui.draggable.get(0).innerHTML  + "</li>");
                                }
                });

  

}





/*
returns an array of filenames (no extensions and no directory informations)
*/
function getExoInTDURLs()
{
  var filenames = new Array();
  var exoInTDs = $(".ExoInTD");  //array of usethis images

  $.each(exoInTDs, function(index){
      if(index == exoInTDs.length)
	  return false;
      filenames.push($(exoInTDs[index]).attr("src"));
  });
  
  return filenames;
}








/*
show a dialog box enabling to download a file containing the string content
TO IMPROVE: we should be able to give a clear filename
*/
function showDownloadDialogBox(content)
{
    //  document.location = "data:text/octet-stream," + encodeURIComponent(content);
    //jQuery('body').prepend(jQuery('<a/>').attr('href','data:text/octet-stream;base64,SGVsbG8gV29ybGQh').text('Click to download'))
    uriContent = "data:application/octet-stream," + encodeURIComponent(content);
    newWindow=window.open(uriContent, 'monTDgenere.tex');


}




function constructRequestForTD(nameOfService)
{
   var requete = "http://www.irisa.fr/prive/fschwarz/exobank/" + nameOfService + ".php?title=";
    requete +=  document.getElementById("txtTDTitle").value;
    
    var urls = getExoInTDURLs();
    for(var onexourl in getExoInTDURLs())
    {

       requete += "&exourls[]=";
       requete += urls[onexourl];
    }
    

    return requete;
}


/*
show a dialog box enabling to download the .tex code of the TD
(it makes an asynchronuous ajax call to the server)
*/
function showDownloadDialogBoxLaTEXCode()
{
   
    window.open(constructRequestForTD("gettd_latexcode")); 
    
    
    
    
}



/*
show a dialog box enabling to download the .tex code of the TD
(it makes an asynchronuous ajax call to the server)
*/
function showDownloadDialogBoxPDF()
{

    window.open(constructRequestForTD("gettd_getpdf")); 
    
    
    
    
}


